/**
 * @(#)ScanProperty.java
 * Copyright 2001 Nomura Research Institute, LTD. All rights reserved.
 * RIDUAL : ScanProperty
 * @author  Intelligent Technology Inc.
 * @version 1.00 2002/09/02
 */
package jp.co.nri.rid.web;

import	java.net.URL;
import	java.io.File;

/**
 * スキャンするファイルのプロパティ
 */
public class ScanProperty{
	public	URL		linkbase;
	public	URL		url;
	public	File	file;
	
	/**
	 * コンストラクタ
	 * @since	1.00
	 */
	public ScanProperty(URL url ,File file){
		this(null, url, file);
	}
	public ScanProperty(URL parent, URL url, File file){
		linkbase = parent;
		this.url	= url;
		this.file	= file;
	}
	public ScanProperty(URL url){ this(url ,null); }
	
	public String toString(){ return file+" ("+url+")"; }
}
